> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clarionhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assistants

> Returns all assistants available to your organization



## OpenAPI

````yaml GET /assistant
openapi: 3.0.1
info:
  title: Clarion API
  description: >-
    Clarion's public facing API. For more information, please visit
    https://docs.clarionhealth.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clarionhealth.com/v1
security:
  - bearerAuth: []
paths:
  /assistant:
    get:
      description: Returns all assistants available to your organization
      parameters:
        - name: limit
          in: query
          description: >-
            The maximum number of results to return. Defaults to 100, maximum is
            1000.
          schema:
            type: integer
            format: int32
        - name: created_at_ge
          in: query
          description: Filter assistants created on or after this date (ISO 8601 format)
          schema:
            type: string
            format: date-time
        - name: created_at_le
          in: query
          description: Filter assistants created on or before this date (ISO 8601 format)
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: List of Assistants
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Assistant'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Assistant:
      type: object
      properties:
        id:
          type: integer
          description: The unique identifier for the assistant
        name:
          type: string
          description: The name of the assistant
        organization_id:
          type: integer
          description: The identifier of the organization the assistant belongs to
        created_at:
          type: string
          format: date-time
          description: The timestamp when the assistant was created
        updated_at:
          type: string
          format: date-time
          description: The timestamp when the assistant was last updated
        model:
          type: object
          description: The language model configuration for the assistant
        voice:
          type: object
          description: The voice model configuration for the assistant
        first_message:
          type: string
          description: The initial message the assistant will use
        max_duration_seconds:
          type: integer
          description: The maximum duration in seconds for the assistant's interaction
        voicemail_message:
          type: string
          description: The message the assistant will leave as a voicemail
        webhook_url:
          type: string
          description: The URL the assistant will send the end of call report to
        is_webhook_secret_set:
          type: boolean
          description: Whether a secret is set for the webhook
        analysis_plan:
          type: object
          description: The analysis plan for the assistant
      required:
        - id
        - name
        - organization_id
        - created_at
        - updated_at
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````